Upstream information

CVE-2021-3624 at MITRE

Description

There is an integer overflow vulnerability in dcraw. When the victim runs dcraw with a maliciously crafted X3F input image, arbitrary code may be executed in the victim's system.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 6.7
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:H/PR:L/UI:R/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity Low High
Privileges Required None Low
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1189642 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Package Hub 15 SP5
  • dcraw >= 9.28.0-150000.3.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP5 GA dcraw-9.28.0-150000.3.3.1
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • dcraw >= 9.28.0-3.3.1
  • dcraw-lang >= 9.28.0-3.3.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1749
SUSE-SLE-WE-12-SP5-2022-1749
SUSE Linux Enterprise Software Development Kit 12 SP5
  • dcraw >= 9.28.0-3.3.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1749
SUSE Linux Enterprise Workstation Extension 12 SP5
  • dcraw >= 9.28.0-3.3.1
  • dcraw-lang >= 9.28.0-3.3.1
Patchnames:
SUSE-SLE-WE-12-SP5-2022-1749
openSUSE Leap 15.3
  • dcraw >= 9.28.0-150000.3.3.1
  • dcraw-lang >= 9.28.0-150000.3.3.1
Patchnames:
openSUSE-SLE-15.3-2022-1277
openSUSE Tumbleweed
  • dcraw >= 9.28.0-2.1
  • dcraw-lang >= 9.28.0-2.1
Patchnames:
openSUSE Tumbleweed GA dcraw-9.28.0-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Module for Package Hub 15 SP4 dcraw Affected
SUSE Linux Enterprise Module for Package Hub 15 SP5 dcraw Released
SUSE Linux Enterprise Server 12 SP5 dcraw Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 dcraw Released
SUSE Linux Enterprise Software Development Kit 12 SP5 dcraw Released
SUSE Linux Enterprise Workstation Extension 12 SP5 dcraw Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 12 dcraw Affected
SUSE Linux Enterprise Desktop 12 SP1 dcraw Affected
SUSE Linux Enterprise Desktop 12 SP2 dcraw Affected
SUSE Linux Enterprise Desktop 12 SP3 dcraw Affected
SUSE Linux Enterprise Desktop 12 SP4 dcraw Affected
SUSE Linux Enterprise Server 12 dcraw Affected
SUSE Linux Enterprise Server 12 SP1 dcraw Affected
SUSE Linux Enterprise Server 12 SP2 dcraw Affected
SUSE Linux Enterprise Server 12 SP3 dcraw Affected
SUSE Linux Enterprise Server 12 SP4 dcraw Affected
SUSE Linux Enterprise Server for SAP Applications 12 dcraw Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 dcraw Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dcraw Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dcraw Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dcraw Affected
SUSE Linux Enterprise Software Development Kit 12 dcraw Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 dcraw Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 dcraw Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 dcraw Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 dcraw Affected
SUSE Linux Enterprise Workstation Extension 12 dcraw Affected
SUSE Linux Enterprise Workstation Extension 12 SP1 dcraw Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 dcraw Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 dcraw Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 dcraw Affected


SUSE Timeline for this CVE

CVE page created: Mon Jun 28 21:12:06 2021
CVE page last modified: Fri Oct 13 21:10:16 2023